import React from 'react';
import type { ComponentWithAs, OmittedIntrinsicElements, PropsWithAs, PropsWithExtend } from '../../types/shared';
export type BlockUniqueProps = PropsWithExtend<{}>;
export type BlockProps<T extends keyof OmittedIntrinsicElements = 'div'> = PropsWithAs<BlockUniqueProps, T>;
/**
 * By default renders a div with display: block, as a starting point for building your own custom block components.
 * @deprecated Use a <div> element instead
 */
export declare const Block: ComponentWithAs<BlockUniqueProps, "div", React.Ref<HTMLElement>>;
