import React from 'react';
import type { ComponentWithHref, PropsWithExtend, PropsWithHref } from '../../types/shared';
export type ButtonUniqueProps = PropsWithExtend<{
    /** @default 'primary' */
    intent?: 'primary' | 'secondary' | 'destructive';
    /** @default 'medium' */
    size?: 'small' | 'medium' | 'large';
    /** @default 'default' */
    variant?: 'default' | 'outline' | 'text';
    loading?: boolean;
    disabled?: boolean;
    textTransform?: 'none' | 'capitalize' | 'first-letter-uppercase';
}>;
export type ButtonProps<T = undefined> = PropsWithHref<ButtonUniqueProps, T>;
/**
 * @deprecated Use a `<button>` or `<a>` element instead. See also [Button](https://developer.volvocars.com/design-system/web/?path=/docs/components-button-filled--docs)
 */
export declare const Button: ComponentWithHref<ButtonUniqueProps, undefined> & React.FunctionComponent;
