import React, { ComponentType } from 'react';

export type ColProps = {
  children?: React.ReactNode;
  /**
   * Size of the spacer as a multiple of the baseline grid.
   *
   * @default { default: 4, fromL: 12 }
   */
  size?: number | { [key: string]: number };
};

/**
 * Has a size to define how many columns it spans over.
 *
 * @deprecated
 */
export const Col: ComponentType<ColProps>;
export {};
