import PropTypes from 'prop-types';
import { COLORS, SIZES, TYPES } from './iconTypes';
export type IconColor = (typeof COLORS)[number];
export type IconSize = (typeof SIZES)[number];
export type IconType = (typeof TYPES)[number];
export interface IconProps {
    /** @default 'primary' */
    color?: IconColor | string;
    label?: string | undefined;
    type: IconType;
    loading?: 'eager' | 'lazy';
}
/**
 * @deprecated Use `import { Icon } from '@volvo-cars/react-icons'` instead. See [Icon](https://developer.volvocars.com/design-system/web/?path=/docs/components-icon--docs)
 */
export declare function Icon({ type, color, label, ...props }: IconProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Icon {
    var propTypes: {
        type: PropTypes.Validator<string>;
        color: PropTypes.Requireable<string>;
        label: PropTypes.Requireable<string>;
    };
}
