import React, { AnchorHTMLAttributes, ReactNode } from 'react';
export type LinkProps = {
    /** @default 'primary' */
    intent?: 'primary' | 'destructive';
    arrow?: 'up' | 'down' | 'right' | 'left' | null;
    children?: ReactNode;
    disabled?: boolean;
    textTransform?: 'none' | 'capitalize' | 'first-letter-uppercase';
} & AnchorHTMLAttributes<HTMLAnchorElement>;
/**
 * @deprecated Use `<a>` element instead, with or without arrows. See [Link](https://developer.volvocars.com/design-system/web/?path=/docs/components-link--docs)
 */
export declare const Link: React.ForwardRefExoticComponent<{
    /** @default 'primary' */
    intent?: "primary" | "destructive";
    arrow?: "up" | "down" | "right" | "left" | null;
    children?: ReactNode;
    disabled?: boolean;
    textTransform?: "none" | "capitalize" | "first-letter-uppercase";
} & React.AnchorHTMLAttributes<HTMLAnchorElement> & React.RefAttributes<HTMLAnchorElement>>;
