import {
  ForwardRefExoticComponent,
  PropsWithChildren,
  RefAttributes,
} from 'react';

export type LoadingBarProps = {
  /** Determines whether the LoadingBar is shown or not */
  isLoading?: boolean;
  /** Optional prop to customize the transition duration for showing/hiding the LoadingBar */
  transitionDuration?: number;
} & RefAttributes<HTMLDivElement>;

export const LoadingBar: ForwardRefExoticComponent<
  PropsWithChildren<LoadingBarProps>
>;
export {};
