"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Logo = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _useTheme = require("../../styling/use-theme");
var _block = require("../block");
/** @deprecated Use `Wordmark` from `@volvo-cars/react-icons` instead. */
const Logo = exports.Logo = /*#__PURE__*/_react.default.forwardRef(function Logo(_ref, ref) {
  let {
    type,
    height,
    alt = 'Volvo',
    ...props
  } = _ref;
  const theme = (0, _useTheme.useTheme)();
  const logoFileName = theme.name.includes('dark') ? 'volvo-wordmark.svg' : 'volvo-wordmark-black.svg';
  const src = `${theme.logoImagesPath}${logoFileName}`;
  return /*#__PURE__*/_react.default.createElement(_block.Block, (0, _extends2.default)({}, props, {
    ref: ref,
    alt: alt,
    as: "img",
    src: src,
    height: height,
    extend: {
      verticalAlign: 'middle',
      maxHeight: '100%',
      maxWidth: '100%'
    }
  }));
});
Logo.propTypes = {
  type: _propTypes.default.oneOf(['spreadmark']),
  /** Height of the logo image */
  height: _propTypes.default.number,
  /** Alternative text for the logo image */
  alt: _propTypes.default.string
};