"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavItem = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _useTheme = require("../../styling/use-theme");
var _click = require("../click");
var _icon = require("../icon");
var _inline = require("../inline");
var _nav = require("../nav");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const navItemStyle = _ref => {
  let {
    isActive,
    isDropdown,
    theme
  } = _ref;
  return {
    color: theme.color.foreground.primary,
    fontSize: 20,
    lineHeight: 1.3,
    padding: '18px 0',
    minHeight: 20,
    alignItems: 'center',
    textAlign: 'left',
    boxSizing: 'content-box',
    fontWeight: 300,
    fontFamily: theme.fontTypes.NOVUM,
    letterSpacing: 0.3,
    borderBottomWidth: 1,
    borderBottomStyle: 'solid',
    borderBottomColor: theme.color.ornament.divider,
    [theme.breakpoints.untilL]: {
      width: '100%',
      display: 'block',
      extend: {
        condition: isDropdown,
        style: {
          display: 'flex',
          justifyContent: 'space-between'
        }
      }
    },
    [theme.breakpoints.fromL]: {
      padding: '25px 0',
      fontSize: 16,
      display: 'inline-block',
      borderBottomWidth: 3,
      borderBottomColor: 'transparent',
      marginRight: 20,
      ':last-child': {
        marginRight: 0
      },
      ':focus-visible': {
        borderBottomColor: 'transparent'
      },
      ':hover': {
        borderBottomColor: theme.color.ornament.highlight
      },
      extend: {
        condition: isActive,
        style: {
          borderBottomColor: theme.color.ornament.highlight
        }
      }
    }
  };
};
/**
 * @deprecated
 */
const NavItem = exports.NavItem = /*#__PURE__*/(0, _react.forwardRef)((_ref2, ref) => {
  let {
    children,
    isDropdown = false,
    isActive = false,
    ...props
  } = _ref2;
  const theme = (0, _useTheme.useTheme)();
  const keyboardNavigationProps = (0, _nav.useKeyboardNavigation)({
    ref,
    onKeyDown: props.onKeyDown
  });
  const styleProps = {
    isActive,
    isDropdown,
    theme
  };
  return /*#__PURE__*/_react.default.createElement(_click.Click, (0, _extends2.default)({}, props, keyboardNavigationProps, {
    extend: navItemStyle(styleProps)
  }), children, isDropdown && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_inline.Inline, {
    extend: {
      [theme.breakpoints.untilL]: {
        display: 'none'
      },
      marginLeft: 8,
      verticalAlign: 'middle'
    }
  }, /*#__PURE__*/_react.default.createElement(_icon.Icon, {
    type: isActive ? 'navigation-chevronup-12' : 'navigation-chevrondown-12',
    color: "action"
  })), /*#__PURE__*/_react.default.createElement(_inline.Inline, {
    extend: {
      [theme.breakpoints.fromL]: {
        display: 'none'
      },
      marginLeft: 8,
      verticalAlign: 'middle'
    }
  }, /*#__PURE__*/_react.default.createElement(_icon.Icon, {
    type: "navigation-chevronforward-16",
    color: "action"
  }))));
});
NavItem.displayName = 'NavItem';
NavItem.propTypes = {
  // @ts-ignore
  children: _propTypes.default.node,
  /** Indicate if the NavItem will open a dropdown menu */
  isDropdown: _propTypes.default.bool,
  /** Indicate if the NavItem is in an active state */
  isActive: _propTypes.default.bool
};