import React, { ReactNode } from 'react';
export declare const useKeyboardNavigation: <T extends HTMLElement>({ orientation, direction, ref, onKeyDown, }?: import("@volvo-cars/react-aria").UseKeyboardNavigationResults<T> & {
    orientation?: "horizontal" | "vertical";
    direction?: "ltr" | "rtl";
}) => {
    ref: import("react").MutableRefObject<T | null>;
    onKeyDown: import("react").KeyboardEventHandler<T>;
}, KeyboardNavigationProvider: React.FC<{
    children: React.ReactNode;
}>;
export type NavProps = {
    /** Automatically hide the sticky navigation if the user starts scrolling */
    hideOnScroll?: boolean;
    /** Make the navigation stick to the top of the viewport */
    sticky?: boolean;
    /** A JSX node */
    children?: ReactNode;
};
/**
 * @deprecated Use `<nav>` element instead.
 */
export declare const Nav: React.ForwardRefExoticComponent<NavProps & React.RefAttributes<HTMLElement>>;
