import React, { ChangeEventHandler } from 'react';
export declare const RadioContext: React.Context<Record<string, unknown>>;
export type RadioGroupProps = {
    name?: string;
    /** Renders a legend.  */
    legend?: string;
    /** Renders a description text underneath the input.  */
    description?: string;
    /** Renders a red error message for validation underneath the input.  */
    errorMessage?: string;
    /** onChange handler. Triggers on every keyboard and generally
     * is here where you change the value of the `value` property. */
    onChange?: ChangeEventHandler<HTMLInputElement>;
    /** Value of the textInput. This should be stored in the
     * state of the parent component  */
    value?: string;
    /** Renders the input as valid or invalid */
    isValid?: boolean;
    children?: React.ReactNode;
};
/**
 * @deprecated Use `import { RadioGroup } from '@volvo-cars/react-forms'` instead. See [Radio](https://developer.volvocars.com/design-system/web/?path=/docs/components-forms-radio--docs)
 */
export declare const RadioGroup: React.FC<RadioGroupProps>;
