"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Row = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _flex = require("../flex");
/**
 * Groups a number of columns and can align them.
 * @deprecated
 */
const Row = _ref => {
  let {
    children,
    align = 'start'
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_flex.Flex, {
    extend: rowCSS({
      align
    })
  }, children);
};
exports.Row = Row;
const rowCSS = _ref2 => {
  let {
    align
  } = _ref2;
  return _ref3 => {
    let {
      theme
    } = _ref3;
    return {
      boxSizing: 'border-box',
      justifyContent: align === 'center' ? 'center' : 'flex-' + align,
      marginLeft: -theme.baselineGrid,
      marginRight: -theme.baselineGrid,
      flexDirection: 'row',
      flexWrap: 'wrap',
      fromL: {
        marginLeft: theme.baselineGrid * -1.5,
        marginRight: theme.baselineGrid * -1.5
      }
    };
  };
};
Row.propTypes = {
  /** Align columns */
  align: _propTypes.default.oneOf(['start', 'end', 'center']),
  /** A JSX node */
  // @ts-ignore
  children: _propTypes.default.node
};