import React, { ChangeEventHandler, ReactNode } from 'react';
export type SelectInputProps = {
    /** Renders a label inside the input.  */
    label: string;
    /** Renders a neutral helper message underneath the input.  */
    description?: string;
    /** Renders a red error message for validation underneath the input.  */
    errorMessage?: string;
    id?: string;
    name?: string;
    onChange: ChangeEventHandler<HTMLSelectElement>;
    value?: string;
    disabled?: boolean;
    loading?: boolean;
    children?: ReactNode;
    isValid?: boolean;
    allowEmpty?: boolean;
} & React.ComponentPropsWithRef<'select'>;
/**
 * @deprecated Use `import { Select } from '@volvo-cars/react-forms'` instead. See [Select](https://developer.volvocars.com/design-system/web/?path=/docs/components-forms-select--docs)
 */
export declare const SelectInput: React.ForwardRefExoticComponent<Omit<SelectInputProps, "ref"> & React.RefAttributes<HTMLSelectElement>>;
