import { ComponentType } from 'react';
import { ThemeBreakpointName } from '../../types/shared';

export type SpacerProps = {
  /**
   * Size of the spacer as a multiple of the baseline grid (8px).
   *
   * @default 1
   */
  size?:
    | number
    | number[]
    | Record<ThemeBreakpointName | 'default', number>
    | { [mediaQuery: string]: number };
};

/**
 * Creates a space that expands along the major axis of its flex container.
 *
 * @deprecated Use gap, margin, padding or stack classes from `@volvo-cars/css` instead.
 */
export const Spacer: ComponentType<SpacerProps>;
export {};
