import React, { Dispatch, MouseEventHandler, ReactNode, RefObject, SetStateAction } from 'react';
export declare const TabNavContext: React.Context<{
    active?: boolean;
    setActive?: Dispatch<SetStateAction<boolean>>;
    scrollRef?: RefObject<HTMLDivElement>;
    borderRef?: RefObject<HTMLDivElement>;
    duration?: number;
}>;
type BackButtonConfig = {
    text?: string | null;
    href?: string | null;
    clickHandler?: MouseEventHandler<HTMLAnchorElement | HTMLButtonElement> | null;
};
export type TabNavProps = {
    /** Text-align: left or center */
    textAlign?: 'center' | 'left';
    /** Back button text, href, click handler */
    backButton?: BackButtonConfig;
    /** A JSX node sticky to the left */
    stickyChildrenLeft?: ReactNode;
    /** A JSX node sticky to the right */
    stickyChildrenRight?: ReactNode;
    /** Which viewports to show the back button on */
    showBackButtonOn?: ('s' | 'm' | 'l' | null | undefined)[];
    /** Enable fancy transition when changing active tabs */
    enableLineTransition?: boolean;
    /** Set duration of lineTransition animation */
    duration?: number;
    'aria-label'?: string;
    children?: ReactNode;
};
/**
 * @deprecated Use `<nav>` element instead. See [TabNav](https://developer.volvocars.com/design-system/web/?path=/docs/components-tabs--docs)
 */
export declare const TabNav: React.ForwardRefExoticComponent<TabNavProps & React.RefAttributes<HTMLElement>>;
export {};
