"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = exports.SUB_STYLES = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactFela = require("react-fela");
var _propTypesUtils = require("../../utils/prop-types-utils");
var _click = require("../click");
var _utils = require("./utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const SUB_STYLES = exports.SUB_STYLES = ['standard', 'inline-link', 'emphasis'];
const TextContext = /*#__PURE__*/_react.default.createContext({
  isRootElement: true
});
const defaultVariant = 'columbus';
const defaultSubStyle = 'standard';
/**
 * @deprecated Use proper semantic elements instead like heading, paragraph, etc. See [Typography](https://developer.volvocars.com/design-system/web/?path=/docs/typography-introduction--docs)
 */
const Text = exports.Text = /*#__PURE__*/_react.default.forwardRef((_ref, ref) => {
  let {
    extend,
    variant,
    subStyle,
    fg,
    foreground = fg,
    as,
    className,
    children,
    ...props
  } = _ref;
  const {
    css,
    theme
  } = (0, _reactFela.useFela)(props);
  const {
    isRootElement,
    parentVariant,
    parentSubStyle
  } = (0, _react.useContext)(TextContext);
  const appliedVariant = variant || parentVariant || defaultVariant;
  const appliedSubStyle = subStyle || parentSubStyle || defaultSubStyle;
  const variants = (0, _utils.normalizeResponsiveValue)(appliedVariant);
  const subStyles = (0, _utils.normalizeResponsiveValue)(appliedSubStyle);
  const displayModifier = isRootElement ? {
    display: 'block'
  } : {};
  let Element = (0, _utils.getRenderedElement)(isRootElement, as, appliedVariant, appliedSubStyle, theme);
  if (Element === 'a') {
    Element = _click.Click;
  }
  return /*#__PURE__*/_react.default.createElement(Element, (0, _extends2.default)({
    ref: ref
  }, props, {
    className: css(displayModifier, {
      color: foreground || theme.color.foreground.primary,
      margin: 0,
      ...(0, _utils.mergeStyles)(theme.typeScale[variants[0]], subStyles[0], ''),
      fromM: (0, _utils.mergeStyles)(theme.typeScale[variants[1]], subStyles[1], 'fromM'),
      fromL: (0, _utils.mergeStyles)(theme.typeScale[variants[2]], subStyles[2], 'fromL'),
      fromXL: (0, _utils.mergeStyles)(theme.typeScale[variants[3]], subStyles[3], 'fromXL')
    }, extend) + (className ? ' ' + className : '')
  }), /*#__PURE__*/_react.default.createElement(TextContext.Provider, {
    value: {
      isRootElement: false,
      parentVariant: appliedVariant,
      parentSubStyle: appliedSubStyle
    }
  }, children));
});

// @ts-ignore
Text.displayName = 'Text';

// @ts-ignore
Text.propTypes = {
  /** A JSX node */
  children: _propTypes.default.node,
  /** A custom font color */
  fg: _propTypesUtils.responsiveStringProp,
  /** A custom font color */
  foreground: _propTypesUtils.responsiveStringProp,
  /** Any valid React element, function, or a string specifying a name for an HTML element */
  as: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.element, _propTypes.default.elementType, _propTypes.default.func]),
  /** One of the available type scale styles */
  variant: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.array, _propTypes.default.string]),
  /** One of the available sub-styles for a given type scale */
  subStyle: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.array, _propTypes.default.string]),
  /** An object containing valid CSS style declarations */
  extend: _propTypes.default.oneOfType([_propTypes.default.object, _propTypes.default.func, _propTypes.default.array]),
  /** Add an additional custom className to element. Warning: make sure it doesn't collide with the classNames being generated for the atomic CSS */
  className: _propTypes.default.string
};