import { CSSProperties, OmittedIntrinsicElements, PropsWithAs, PropsWithExtend, ResponsiveProp, TypeVariants } from '../../types/shared';
export type TextUniqueProps = PropsWithExtend<{
    foreground?: ResponsiveProp<CSSProperties['color']>;
    fg?: ResponsiveProp<CSSProperties['color']>;
    /**
     * * Amundsen (action text) - 14px
     * * Bates - 12px
     * * Columbus (default) - 16px
     * * Cook - 32px / 36px / 40px
     * * Hillary - 20px
     * * Ootah - 24px / 28px / 32px
     * * Peary - 48px / 52px / 56px
     * * Yang (brand statement) - 40px / 72px / 72px
     * * Kelly - 14px
     * * Meir - 8px
     **/
    variant?: ResponsiveProp<TypeVariants>;
    subStyle?: ResponsiveProp<'standard' | 'inline-link' | 'emphasis'>;
}>;
export type TextProps<T extends keyof OmittedIntrinsicElements = 'p'> = PropsWithAs<TextUniqueProps, T>;
type HTMLElementCustomProps = React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement>;
export type GenericRef = HTMLElementCustomProps['ref'];
export {};
