import React, { useContext } from 'react';
import { RendererContext, RendererProvider } from 'react-fela';
import { styleRenderer } from './style-renderer';

// eslint-disable-next-line testing-library/render-result-naming-convention
const clientRenderer = styleRenderer({
  wrapHoverWithMediaHover: true
});
export function StyleProvider(_ref) {
  let {
    renderer = clientRenderer,
    children,
    targetDocument
  } = _ref;
  const contextRenderer = useContext(RendererContext);
  if (contextRenderer) {
    return children;
  }
  return /*#__PURE__*/React.createElement(RendererProvider, {
    renderer: renderer,
    targetDocument: targetDocument
  }, children);
}