import { IConfig, IRenderer as StyleRenderer } from 'fela';

interface StyleRendererConfig extends IConfig {
  /**
   * @default false
   */
  isRtl?: boolean;
  /**
   * Enforce longhand property priority using fela-enforce-longhands enhancer
   * https://github.com/robinweser/fela/tree/master/packages/fela-enforce-longhands
   * @default true
   */
  enforceLonghands?: boolean;
  /**
   * Extract all :hover styles and wrap them in a @media (hover: hover) media query.
   * https://github.com/robinweser/fela/tree/master/packages/fela-plugin-hover-media
   * @default false
   */
  wrapHoverWithMediaHover?: boolean;

  /**
   * @default false
   * Disable theme fonts plugin
   */
  renderFonts?: boolean;
}

export function styleRenderer(config?: StyleRendererConfig): StyleRenderer;
export { StyleRenderer, StyleRendererConfig };
export {};
