"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ThemePicker = void 0;
var _react = _interopRequireWildcard(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _reactFela = require("react-fela");
var _useConfig = require("../config/use-config");
var _getTheme = require("../themes/getTheme");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const ThemePicker = _ref => {
  let {
    direction,
    variant,
    children
  } = _ref;
  const {
    locale
  } = (0, _useConfig.useConfig)();
  const currentTheme = (0, _react.useContext)(_reactFela.ThemeContext);
  let theme;
  if (variant) {
    theme = (0, _getTheme.getTheme)({
      variant,
      locale,
      direction: direction || currentTheme?.direction
    });
  } else if (currentTheme) {
    theme = direction ? {
      ...currentTheme,
      direction
    } : currentTheme;
  } else {
    theme = (0, _getTheme.getTheme)({
      variant: 'light',
      locale,
      direction
    });
  }
  return /*#__PURE__*/_react.default.createElement(_reactFela.ThemeProvider, {
    theme: theme,
    overwrite: false
  }, children);
};
exports.ThemePicker = ThemePicker;
ThemePicker.propTypes = {
  direction: _propTypes.default.oneOf(['ltr', 'rtl']),
  variant: _propTypes.default.oneOf(['light', 'dark']),
  // @ts-ignore
  children: _propTypes.default.node.isRequired
};