/**
 * @react-three/fiber adds all entries below to JSX.IntrinsicElements.
 * In order to avoid `Expression produces a union type that is too complex to represent.ts(2590)`,
 * this list of keys is used to exclude these elements from React.ElementType, which is used in `PropsWithAs`.
 *
 * More info:
 * https://github.com/pmndrs/react-three-fiber
 * https://github.com/pmndrs/react-three-fiber/discussions/1752
 * https://github.com/microsoft/TypeScript/issues/53234
 */
export type ThreeElements = 'ambientLight' | 'ambientLightProbe' | 'arrayCamera' | 'arrowHelper' | 'audioListener' | 'axesHelper' | 'bone' | 'box3Helper' | 'boxBufferGeometry' | 'boxGeometry' | 'boxHelper' | 'bufferAttribute' | 'bufferGeometry' | 'camera' | 'cameraHelper' | 'canvasTexture' | 'capsuleGeometry' | 'circleBufferGeometry' | 'circleGeometry' | 'color' | 'compressedTexture' | 'coneBufferGeometry' | 'coneGeometry' | 'cubeCamera' | 'cubeTexture' | 'cylinderBufferGeometry' | 'cylinderGeometry' | 'dataTexture' | 'dataTexture3D' | 'depthTexture' | 'directionalLight' | 'directionalLightHelper' | 'directionalLightShadow' | 'dodecahedronBufferGeometry' | 'dodecahedronGeometry' | 'edgesGeometry' | 'euler' | 'extrudeBufferGeometry' | 'extrudeGeometry' | 'float16BufferAttribute' | 'float32BufferAttribute' | 'float64BufferAttribute' | 'fog' | 'fogExp2' | 'gridHelper' | 'group' | 'hemisphereLight' | 'hemisphereLightHelper' | 'hemisphereLightProbe' | 'icosahedronBufferGeometry' | 'icosahedronGeometry' | 'instancedBufferAttribute' | 'instancedBufferGeometry' | 'instancedMesh' | 'int16BufferAttribute' | 'int32BufferAttribute' | 'int8BufferAttribute' | 'latheBufferGeometry' | 'latheGeometry' | 'light' | 'lightProbe' | 'lightShadow' | 'lineBasicMaterial' | 'lineDashedMaterial' | 'lineLoop' | 'lineSegments' | 'lOD' | 'material' | 'matrix3' | 'matrix4' | 'mesh' | 'meshBasicMaterial' | 'meshDepthMaterial' | 'meshDistanceMaterial' | 'meshLambertMaterial' | 'meshMatcapMaterial' | 'meshNormalMaterial' | 'meshPhongMaterial' | 'meshPhysicalMaterial' | 'meshStandardMaterial' | 'meshToonMaterial' | 'object3D' | 'octahedronBufferGeometry' | 'octahedronGeometry' | 'orthographicCamera' | 'perspectiveCamera' | 'planeBufferGeometry' | 'planeGeometry' | 'planeHelper' | 'pointLight' | 'pointLightHelper' | 'points' | 'pointsMaterial' | 'polarGridHelper' | 'polyhedronBufferGeometry' | 'polyhedronGeometry' | 'positionalAudio' | 'primitive' | 'quaternion' | 'rawShaderMaterial' | 'raycaster' | 'rectAreaLight' | 'ringBufferGeometry' | 'ringGeometry' | 'scene' | 'shaderMaterial' | 'shadowMaterial' | 'shape' | 'shapeBufferGeometry' | 'shapeGeometry' | 'skeleton' | 'skeletonHelper' | 'skinnedMesh' | 'sphereBufferGeometry' | 'sphereGeometry' | 'spotLight' | 'spotLightHelper' | 'spotLightShadow' | 'sprite' | 'spriteMaterial' | 'tetrahedronBufferGeometry' | 'tetrahedronGeometry' | 'texture' | 'torusBufferGeometry' | 'torusGeometry' | 'torusKnotBufferGeometry' | 'torusKnotGeometry' | 'tubeBufferGeometry' | 'tubeGeometry' | 'uint16BufferAttribute' | 'uint32BufferAttribute' | 'uint8BufferAttribute' | 'vector2' | 'vector3' | 'vector4' | 'videoTexture' | 'wireframeGeometry';
