/**
 * useId
 *
 * Autogenerate IDs to facilitate WAI-ARIA and server rendering.
 *
 * Note: The returned ID will initially be `null` and will update after a
 * component mounts. Users may need to supply their own ID if they need
 * consistent values for SSR.
 */
export declare function useId(prefix: string, idFromProps?: string): string | undefined;
export declare function makeId(rootId: string | undefined, part: string): string | undefined;
/**
 * Make list of ids for aria attributes.
 */
export declare function makeIdList(ids: (undefined | string)[]): string;
